To: Jes.Sorensen@cern.ch (Jes Sorensen),
        linux-m68k@lists.linux-m68k.org (linux-list)
Date: Thu, 22 Jan 1998 08:38:53 +0100 (MET)
From: "J." Dorchain <dorchain@gate.moebelwalther.de>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: jdorchain@i-con.de

Hi,

I noticed some little thing for 2.1.79.

- make lp_mfc.c compile again.
- fix typo in ser_mfc.c (shouldn't do any harm, but who knows)
- make z2ram module work
- make vfat-fs compile again


Joerg



--- linux-2.1.79.curr/drivers/char/lp_mfc.c.orig	Wed Jan 21 22:54:38 1998
+++ linux-2.1.79.curr/drivers/char/lp_mfc.c	Wed Jan 21 22:55:20 1998
@@ -20,6 +20,7 @@
 #include <asm/amiga/hardware.h>
 #include <linux/zorro.h>
 #include <asm/irq.h>
+#include <asm/setup.h>
 #include <asm/amiga/ints.h>
 #include "multiface.h"
 #include "mc6821.h"
--- linux-2.1.79.curr/drivers/char/ser_mfc.c.orig	Wed Jan 21 22:58:36 1998
+++ linux-2.1.79.curr/drivers/char/ser_mfc.c	Wed Jan 21 23:01:15 1998
@@ -341,7 +341,7 @@
   if (!leave_dtr)
     dp->stop_ropc.ropc = 8;
   imask[(info->nr_uarts-1)/2] &= ~48;
-  acmask[(info->nr_uarts-1)/3] &= ~2;
+  acmask[(info->nr_uarts-1)/2] &= ~2;
 }
 intenar = (custom.intenar & IF_EXTER);
 custom.intena = IF_EXTER;
--- linux-2.1.79.curr/arch/m68k/amiga/amiga_ksyms.c.orig	Wed Jan 21 23:05:18 1998
+++ linux-2.1.79.curr/arch/m68k/amiga/amiga_ksyms.c	Wed Jan 21 23:06:17 1998
@@ -17,6 +17,7 @@
 EXPORT_SYMBOL(amiga_chip_alloc);
 EXPORT_SYMBOL(amiga_chip_free);
 EXPORT_SYMBOL(amiga_chip_avail);
+EXPORT_SYMBOL(amiga_chip_size);
 EXPORT_SYMBOL(amiga_audio_period);
 EXPORT_SYMBOL(amiga_audio_min_period);
 
--- linux-2.1.79.curr/fs/vfat/namei.c.orig	Wed Jan 21 23:15:37 1998
+++ linux-2.1.79.curr/fs/vfat/namei.c	Wed Jan 21 23:18:53 1998
@@ -321,7 +321,7 @@
 
 static int vfat_find(struct inode *dir,struct qstr* name,
 		      int find_long,int new_filename,int is_dir,
-		      struct slot_info *sinfo_out);
+		      struct vfat_slot_info *sinfo_out);
 
 /* Checks the validity of a long MS-DOS filename */
 /* Returns negative number on error, 0 for a normal
@@ -519,7 +519,7 @@
 	int res;
 	int spaces;
 	char buf[8];
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 	const char *name_start;
 	struct qstr qname;
 
@@ -992,7 +992,7 @@
 }
 
 static int vfat_find(struct inode *dir,struct qstr* qname,
-    int find_long, int new_filename,int is_dir,struct slot_info *sinfo_out)
+    int find_long, int new_filename,int is_dir,struct vfat_slot_info *sinfo_out)
 {
 	struct super_block *sb = dir->i_sb;
 	struct vfat_find_info vf;
@@ -1118,7 +1118,7 @@
 int vfat_lookup(struct inode *dir,struct dentry *dentry)
 {
 	int res;
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 	struct inode *result;
 	
 	PRINTK (("vfat_lookup: name=%s, len=%d\n", 
@@ -1162,7 +1162,7 @@
 	loff_t offset;
 	struct buffer_head *bh;
 	struct msdos_dir_entry *de;
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 
 	*result=0;
 	PRINTK(("vfat_create_entry 1\n"));
@@ -1388,7 +1388,7 @@
 	return 0;
 }
 
-static int vfat_remove_entry(struct inode *dir,struct slot_info *sinfo,
+static int vfat_remove_entry(struct inode *dir,struct vfat_slot_info *sinfo,
      struct buffer_head **bh,struct dentry* dentry,
      int is_dir,int nospc)
 {
@@ -1428,7 +1428,7 @@
 	struct super_block *sb = dir->i_sb;
 	int res;
 	struct buffer_head *bh;
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 
 	res = vfat_find(dir,&dentry->d_name,1,0,0,&sinfo);
 
@@ -1463,7 +1463,7 @@
 	struct super_block *sb = dir->i_sb;
 	int res;
 	struct buffer_head *bh;
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 
 	bh = NULL;
 	res = vfat_find(dir,&dentry->d_name,1,0,0,&sinfo);
@@ -1540,7 +1540,7 @@
 	struct dentry *walk;
 	int res, is_dir, i;
 	int locked = 0;
-	struct slot_info sinfo;
+	struct vfat_slot_info sinfo;
 
 	PRINTK(("vfat_rename 1\n"));
 	if (old_dir == new_dir && 
